//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//


//
// Define the severity codes
//


//
// MessageId: UPS_EVENT_SERVICE_START
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_SERVICE_START          0x00000001L

//
// MessageId: UPS_EVENT_SERVICE_STOP
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_SERVICE_STOP           0x00000002L

//
// MessageId: UPS_EVENT_ACFAIL
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_ACFAIL                 0x00000003L

//
// MessageId: UPS_EVENT_BATTERY_LOW
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_BATTERY_LOW            0x00000004L

//
// MessageId: UPS_EVENT_ACFAIL_RECOVER
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_ACFAIL_RECOVER         0x00000005L

//
// MessageId: UPS_EVENT_COMM_EST
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_COMM_EST               0x00000006L

//
// MessageId: UPS_EVENT_COMM_LOST
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_COMM_LOST              0x00000007L

//
// MessageId: UPS_EVENT_SHUTDOWN
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_SHUTDOWN               0x00000008L

//
// MessageId: UPS_EVENT_EXCMD
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_EXCMD                  0x00000009L

//
// MessageId: UPS_EVENT_OC_ERROR_RUNNING
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_OC_ERROR_RUNNING       0x000001F5L

//
// MessageId: UPS_EVENT_OC_ERROR_PARAM
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_OC_ERROR_PARAM         0x000001F6L

//
// MessageId: UPS_EVENT_OC_ERROR_SHAREDMEM
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_OC_ERROR_SHAREDMEM     0x000001F7L

//
// MessageId: UPS_EVENT_OC_WRITE_CMD_SHAREDMEM
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_OC_WRITE_CMD_SHAREDMEM 0x000001F8L

//
// MessageId: UPS_EVENT_READ_CMD_SHAREDMEM
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_READ_CMD_SHAREDMEM     0x000001F9L

//
// MessageId: UPS_EVENT_ERROR_WRITE_PIPE
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_ERROR_WRITE_PIPE       0x000001FAL

//
// MessageId: UPS_EVENT_WRITE_CMD_PIPE
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_WRITE_CMD_PIPE         0x000001FBL

//
// MessageId: UPS_EVENT_READ_CMD_PIPE
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_READ_CMD_PIPE          0x000001FCL

//
// MessageId: UPS_EVENT_ERROR_SEND_UPSCMD
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_ERROR_SEND_UPSCMD      0x000001FDL

//
// MessageId: UPS_EVENT_SEND_UPSCMD
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_SEND_UPSCMD            0x000001FEL

//
// MessageId: UPS_EVENT_DEBUG
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_DEBUG                  0x0000270FL

//
// MessageId: UPS_EVENT_SD_OS_AND_UPS_BY_OMRON
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_SD_OS_AND_UPS_BY_OMRON 0x00000262L

//
// MessageId: UPS_EVENT_SD_OS_RESTART_LATER_BY_OMRON
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_SD_OS_RESTART_LATER_BY_OMRON 0x00000263L

//
// MessageId: UPS_EVENT_ONLY_SD_OS_BY_OMRON
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_ONLY_SD_OS_BY_OMRON    0x00000264L

//
// MessageId: UPS_EVENT_OC_ERROR_COMM_UPS
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_OC_ERROR_COMM_UPS		0x000001F6L

//
// MessageId: UPS_EVENT_OC_ERROR_CMD_EXEC
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_OC_ERROR_CMD_EXEC 	0x000001F7L

//
// MessageId: UPS_EVENT_OC_ERROR_SET_TIME
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_OC_ERROR_SET_TIME 	0x000001F8L

//
// MessageId: UPS_EVENT_OC_WARRING_RESTART_DELAY
//
// MessageText: if ups restart time litter than realshutown time, the ups will restart after 
//				realshutdown +1 sec
//
//  %1
//
#define UPS_EVENT_OC_WARRING_RESTART_DELAY		0x000001F9L

//
// MessageId: UPS_EVENT_OC_ERROR_SET_TIME
//
// MessageText:
//
//  %1
//
#define UPS_EVENT_OC_ERROR_OTHER 		0x000001FAL



