// ConfigShutdownParameter.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "ConfigShutdownParameter.h"
#include "ConfigShutdownParameterDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

#define MUTEX_NAME "{C51BC100-E5E7-8645-11d6-00E8002B58AF}"

// CConfigShutdownParameterApp

BEGIN_MESSAGE_MAP(CConfigShutdownParameterApp, CWinApp)
	ON_COMMAND(ID_HELP, &CWinApp::OnHelp)
END_MESSAGE_MAP()


// CConfigShutdownParameterApp construction

CConfigShutdownParameterApp::CConfigShutdownParameterApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only CConfigShutdownParameterApp object

CConfigShutdownParameterApp theApp;


// CConfigShutdownParameterApp initialization

BOOL CConfigShutdownParameterApp::InitInstance()
{
	//imachine Modified 2010.07.13
	CString csPara(m_lpCmdLine);
	if ( csPara.CompareNoCase(_T("stop")) == 0 )
	{
		PostMessage(HWND_BROADCAST, RegisterWindowMessage("Exit"), 0, 0);
		return FALSE;
	}



	m_hMutex = CreateMutex(NULL, FALSE, MUTEX_NAME); 
	if(GetLastError() == ERROR_ALREADY_EXISTS) 
	{ 
		return FALSE;
	}
	
	INITCOMMONCONTROLSEX InitCtrls;
	InitCtrls.dwSize = sizeof(InitCtrls);
	
	InitCtrls.dwICC = ICC_WIN95_CLASSES;
	InitCommonControlsEx(&InitCtrls);

	CWinApp::InitInstance();

	// Win2008 Server core no UI, not support some OLE feature imachine 2010.06.24
	//AfxEnableControlContainer();

	SetRegistryKey(_T("Local AppWizard-Generated Applications"));

	if ( CWnd::FindWindow(NULL, "ConfigSDPara") != NULL )
		return FALSE;

	CConfigShutdownParameterDlg dlg;
	m_pMainWnd = &dlg;
	INT_PTR nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with OK
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with Cancel
	}

	return FALSE;
}

int CConfigShutdownParameterApp::ExitInstance() 
{
	if(m_hMutex)
	{
		CloseHandle(m_hMutex);
	}

	return CWinApp::ExitInstance();
}
