#ifndef      __EVENTRES_H__
#define	     __EVENTRES_H__

#include "../Protocol.h"
#include "../MessageDll/EventFile.h"


#define ID_AGENT_STOP                  0x100
#define ID_AGENT_START                 0x101
#define ID_UPS_ACFAIL                  0x102
#define ID_UPS_BATTERY_LOW             0x103
#define ID_UPS_COMM_EST                0x104
#define ID_UPS_COMM_LOST               0x105
#define ID_UPS_ACFAIL_RECOVER          0x106
#define ID_SHUTDOWN                    0x107
#define ID_RUN_EXTERNCMD               0x108
#define ID_SD_OS_UPS_BY_OMRON		   0x109
#define ID_SD_OS_RESTART_LATER_BY_OMRON				0x110
#define ID_ONLY_SD_OS_BY_OMRON						0x111
//Colin@2010-12-17 added for write Event log

#if 0  /* Colin@2010-12-13 Modif Omronctl Error Event */
#define ID_OC_ERROR_RUNNING            501 /* omronctl running now */
#define ID_OC_ERROR_PARAM              502 /* omronctl input parameter error */
#define ID_OC_ERROR_SHAREDMEM          503 /* omronctl detect shared mem error */
#define ID_OC_WRITE_CMD_SHAREDMEM      504 /* omronctl write cmd to shared mem */
#define ID_UPS_READ_CMD_SHAREDMEM      505 /* read cmd from shared mem */
#define ID_UPS_ERROR_WRITE_PIPE        506 /* write pipe error */
#define ID_UPS_WRITE_CMD_PIPE          507 /* write cmd to pipe */
#define ID_UPS_READ_CMD_PIPE           508 /* read cmd from pipe */
#define ID_UPS_ERROR_SEND_UPSCMD       509 /* send ups command error */
#define ID_UPS_SEND_UPSCMD             510 /* send ups command ok */
#endif

#define ID_OC_ERROR_COMM_UPS		   502 /* Omronctl find SSD can't communicate with UPS */
#define ID_OC_ERROR_CMD_EXEC		   503 /* Command is executing */
#define ID_OC_ERROR_SET_TIME		   504 /* Time setting is Wrong */
#define ID_OC_WARRING_RESTART_DELAY	   505 /* UPS restart time warring */
#define ID_OC_ERROR_OTHER			   506 /* Other errors */


#define ID_DEBUG                       9999 /* DEBUG */



typedef   struct _EVENT_PARAM_STR
{  
	UINT	uEvStrId;
	DWORD	uEventId;
	char	*pszEventParamStr;
}	EVENT_PARAM_STR, *PEVENT_PARAM_STR;


int GetEventParamString(UINT uEvStrId, DWORD *uEventId, char *pszBuf);

#ifdef __cplusplus
extern "C" {
#endif


#ifdef __cplusplus
}
#endif


#endif