#ifndef LISTPORTS_H
#define LISTPORTS_H

#define VERSION_LISTPORTS 0x00010000

#ifdef __cplusplus
extern "C"{
#endif

#include <windows.h>

typedef struct
{
	LPCTSTR lpPortName;     /* "COM1", etc. */
	LPCTSTR lpFriendlyName; /* Suitable to describe the port, as for  */
                            /* instance "Infrared serial port (COM4)" */
} LISTPORTS_PORTINFO;

typedef BOOL (CALLBACK* LISTPORTS_CALLBACK)(LPVOID lpCallbackValue,
                                            LISTPORTS_PORTINFO* lpPortInfo);
class CListPorts
{
public:
	CListPorts();
	virtual ~CListPorts();
	BOOL ListPorts(LISTPORTS_CALLBACK lpCallback,LPVOID lpCallbackValue);
};

#ifdef __cplusplus
}
#endif

#elif VERSION_LISTPORTS!=0x00010000
#error You have included two LISTPORTS.H with different version numbers
#endif